org.springframework.messaging.simp.user

## Interface SimpSession

    public interface SimpSession

Represents a session of connected user.

Since:
  4.2
Author:
  Rossen Stoyanchev

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getId()` Return the session id.
`Set<SimpSubscription>` `getSubscriptions()` Return the subscriptions for this session.
`SimpUser` `getUser()` Return the user associated with the session.

### Method Detail

#### getId

    String getId()

Return the session id.

#### getUser

    SimpUser getUser()

Return the user associated with the session.

#### getSubscriptions

    Set<SimpSubscription> getSubscriptions()

Return the subscriptions for this session.